Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.controller
Interface ISamplingController

All Known Subinterfaces:
  IMonitoringController

All Known Implementing Classes:
  MonitoringController, SamplingController

    public interface ISamplingController

Since:
  1.3
Author:
  Andre van Hoorn, Jan Waller

Method Summary
`boolean` | `removeScheduledSampler(ScheduledSamplerJob sampler)` Stops future executions of the given periodic `ScheduledSamplerJob` .
`ScheduledSamplerJob` | `schedulePeriodicSampler(ISampler sampler, long initialDelay, long period, TimeUnit timeUnit)` Schedules the given `ISampler` with given initial delay, and period.

Method Detail

### schedulePeriodicSampler

    ScheduledSamplerJob schedulePeriodicSampler(ISampler sampler,
                                                long initialDelay,
                                                long period,
                                                TimeUnit timeUnit)

  Schedules the given `ISampler` with given initial delay, and period.

  Parameters:
    `sampler` - The sampler to schedule.
    `initialDelay` - The initial delay.
    `period` - The period.
    `timeUnit` - The time unit which determines how to interpret the given parameter.
  Returns:
    a `ScheduledSamplerJob` as a handler for removing the scheduled sampler later on by using the method `removeScheduledSampler(ScheduledSamplerJob)`.
  Since:
    1.3

### removeScheduledSampler

    boolean removeScheduledSampler(ScheduledSamplerJob sampler)

  Stops future executions of the given periodic `ScheduledSamplerJob` .

  Parameters:
    `sampler` - The sampler to be removed.
  Returns:
    true if the sensor is not registered
  Since:
    1.3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net